### A free/open-source library for quantitative finance

Classes | Public Member Functions | Protected Attributes
SimpleChooserOption Class Reference

Simple chooser option. More...

`#include <ql/experimental/exoticoptions/simplechooseroption.hpp>`

Inheritance diagram for SimpleChooserOption:
[legend]

List of all members.

## Classes

class | arguments
| Extra arguments for single chooser option. More...
class | engine
| Simple chooser option engine base class. More...

## Public Member Functions

| SimpleChooserOption (Date choosingDate, Real strike, const boost::shared_ptr< Exercise > &exercise)
void | setupArguments (PricingEngine::arguments *) const

## Protected Attributes

Date | choosingDate_

## Detailed Description

Simple chooser option.

This option gives the holder the right to choose, at a future date prior to exercise, whether the option should be a call or a put. The exercise date and strike are the same for both call and put option.

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Option.